O.attaviria_opt.jpg=Ophrys attaviria.\
First recorded on Mount Attaviros in the west of Rhodes.\
.
o-attaviria_opt.jpg=Ophrys attaviria. \
Local & rare.                                                                                                                .\

o-attaviria2_opt.jpg=Ophrys attaviria.             \
A fusca ssp. main site is Rhodes.                                                                               .\

